## Apache Zeta Components Manual :: Docs For Class ezcBaseExtensionNotFoundException

### Base::ezcBaseExtensionNotFoundException

### Class ezcBaseExtensionNotFoundException

ezcBaseExtensionNotFoundException is thrown when a requested PHP extension was not found.

Source for this file: /Base/src/exceptions/extension_not_found.php

    Exception
       |
       --ezcBaseException
          |
          --ezcBaseExtensionNotFoundException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public ezcBaseExtensionNotFoundException | `__construct( $name , [ $version = null] , [ $message = null] )` Constructs a new ezcBaseExtensionNotFoundException.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

ezcBaseExtensionNotFoundException __construct( string $name , [string $version = null] , [string $message = null] )

Constructs a new ezcBaseExtensionNotFoundException.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string | The name of the extension
`$version` | string | The version of the extension
`$message` | string | Additional text

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3